#
# Copyright 2018 Scytl Secure Electronic Voting SA
#
# All rights reserved
#
# See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
#


# Type of the private keystore (such as "PKCS12")
private-keystore.type=PKCS12

# The type suffix of the private keystore filenames contained inside the JAR
private-keystore.filename.suffix=.p12

# Last part of the signing private key aliases in keystore (such as "-signing")
private-key.alias.suffix.signing=-signing

# Last part of the encryption private key aliases in keystore (such as "-encryption")
private-key.alias.suffix.encryption=-encryption

# Full filename of the root certificate (such as "rootCA.pem")
certificate.filename.full.root=rootCA.pem

# Last part of the signing certificate filenames (such as "_signing.pem")
certificate.filename.suffix.signing=_signing.pem

# Last part of the encryption certificate filenames (such as "_encryption.pem")
certificate.filename.suffix.encryption=_encryption.pem


# Initial part of the private keystore and certificate filenames (such as "AP_log")
filename.prefix=test-
filename.prefix.cpr=CPR
filename.prefix.sdm=SDM
filename.prefix.ag=AG
filename.prefix.ap-log=AP_log
filename.prefix.au-log=AU_log
filename.prefix.cr-log=CR_log
filename.prefix.ea-log=EA_log
filename.prefix.ei-log=EI_log
filename.prefix.kt-log=KT_log
filename.prefix.vm-log=VM_log
filename.prefix.vv-log=VV_log
filename.prefix.vw-log=VW_log

# Initial part of the private key aliases in keystore (such as "ap-log")
private-key.alias.prefix.cpr=cpr
private-key.alias.prefix.sdm=sdm
private-key.alias.prefix.ag=ag
private-key.alias.prefix.ap-log=ap-log
private-key.alias.prefix.au-log=au-log
private-key.alias.prefix.cr-log=cr-log
private-key.alias.prefix.ea-log=ea-log
private-key.alias.prefix.ei-log=ei-log
private-key.alias.prefix.kt-log=kt-log
private-key.alias.prefix.vm-log=vm-log
private-key.alias.prefix.vv-log=vv-log
private-key.alias.prefix.vw-log=vw-log
